--TEST--
getRandomFromSet()
--FILE--
<?php
    require_once dirname(__FILE__) . '/setup.php.inc';
    copy($FILE,  $FILE2);
    copy($HFILE, $HFILE2);
    copy($FILE,  $FILE3);
    copy($HFILE, $HFILE3);

    echo "Test 1: individual arguments\n";
    try {
        $fortune = File_Fortune::getRandomFromSet($FILE, $FILE2, $FILE3);
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failure: " . $e->getMessage() . "\n";
    }

    echo "Test 2: array argument\n";
    try {
        $fortune = File_Fortune::getRandomFromSet(array($FILE, $FILE2, $FILE3));
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failure: " . $e->getMessage() . "\n";
    }

    echo "Test 3: mixed arguments\n";
    try {
        $fortune = File_Fortune::getRandomFromSet($FILE, array($FILE2, $FILE3));
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failure: " . $e->getMessage() . "\n";
    }

    echo "Test 4: one bad argument\n";
    try {
        $fortune = File_Fortune::getRandomFromSet('bogus', array($FILE2, $FILE3));
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failure: " . $e->getMessage() . "\n";
    }

    echo "Test 5: all bad arguments\n";
    try {
        $fortune = File_Fortune::getRandomFromSet('bogus', 'worse');
        echo "Failure\n";
    } catch (File_Fortune_Exception $e) {
        echo "Success\n";
    }

    unlink($FILE2);
    unlink($HFILE2);
    unlink($FILE3);
    unlink($HFILE3);
?>
--EXPECT--
Test 1: individual arguments
Success
Test 2: array argument
Success
Test 3: mixed arguments
Success
Test 4: one bad argument
Success
Test 5: all bad arguments
Success

